/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.sensor.explorer;

import nl.cloudfarming.client.sensor.SensorModule;
import org.openide.nodes.AbstractNode;
import org.openide.nodes.Children;
import org.openide.nodes.Node;
import org.openide.util.NbBundle;

/**
 *
 * @author Timon Veenstra
 */
public class SensorRootNode extends AbstractNode {

    public SensorRootNode() {
        super(new Children.Keys() {

            @Override
            protected void addNotify() {
                setKeys(new Object[]{new Object()});
            }

            @Override
            protected Node[] createNodes(Object key) {
                return new Node[]{new FilesNode(), new RunsNode()};
            }
        });
        setIconBaseWithExtension("nl/cloudfarming/client/sensor/sensor.png");
    }
    
    public static class RunsNode extends AbstractNode {

        public RunsNode() {
            super(Children.create(new SensorRunNodeFactory(), true));
            setIconBaseWithExtension("nl/cloudfarming/client/sensor/map-icon.png");
            setDisplayName(NbBundle.getMessage(SensorModule.class, "sensor_explorer.runs"));
        }
    }    

    public static class FilesNode extends AbstractNode {

        public FilesNode() {
            super(Children.create(new SensorFileNodeFactory(), true));
            setIconBaseWithExtension("nl/cloudfarming/client/sensor/sensor-file-icon.png");
            setDisplayName(NbBundle.getMessage(SensorModule.class, "sensor_explorer.files"));
        }
    }
}
